%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitelib_arch: %define python_sitelib_arch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name: luci
Version: 0.22.2
Release: 1%{?dist}
Summary: Web-based cluster administration application
Group: Applications/System
License: GPLv2
URL: http://sources.redhat.com/cluster/conga
Source0: http://people.redhat.com/rmccabe/luci/luci-0.22.2.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel python-setuptools python-paste python-paste-script cyrus-sasl-devel
Requires: TurboGears2 openssl python-repoze-who-friendlyform python-tw-forms
Requires: python-paste >= 1.7.2-5.el6
Requires(post): chkconfig initscripts
Requires(preun): chkconfig initscripts
Requires(postun): initscripts
ExclusiveArch: i686 x86_64

%description
Luci is a web-based cluster administration application built on the
TurboGears 2 framework.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/log/luci
python setup.py install --skip-build --root %{buildroot}
cd init.d && make DESTDIR=%{buildroot} install;cd ..
cd config && make DESTDIR=%{buildroot} install;cd ..
cd lucipam && python setup.py install --root %{buildroot};  cd ..

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt COPYING
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/%{name}/
%{python_sitelib_arch}/LuciPAM-1.0-py2.6.egg-info
%{python_sitelib_arch}/lucipam.so

%config(noreplace)      /etc/pam.d/luci
%config(noreplace)      %{_localstatedir}/lib/luci/etc/luci.ini
%attr(0600,luci,luci)   %{_localstatedir}/lib/luci/etc/luci.ini
%config(noreplace)      %{_localstatedir}/lib/luci/etc/cacert.config
%attr(0600,luci,luci)   %{_localstatedir}/lib/luci/etc/cacert.config
%attr(0750,luci,luci)   %{_localstatedir}/lib/luci
%config(noreplace)      %{_sysconfdir}/rc.d/init.d/luci
%attr(750, luci, luci)  %dir /var/log/luci

%pre
getent group luci >/dev/null || groupadd -r luci
getent passwd luci >/dev/null || useradd -r -g luci -d /var/lib/luci -s /sbin/nologin -c "luci user" luci
exit 0

%post
/sbin/chkconfig --add luci
exit 0

%preun
if [ "$1" == "0" ]; then
    /sbin/service luci stop >&/dev/null
    /sbin/chkconfig --del luci 
fi
exit 0

%postun
if [ "$1" == "1" ]; then
    /sbin/service luci condrestart >&/dev/null
fi
exit 0

%changelog
* Fri May 28 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.2-1
- Fix for various cluster service creation and editing bugs.

* Wed May 26 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.1-1
- Fix edit and display of cluster services.
- Fix submission of qdisk heuristics.
- Do not set the "alias" attribute for RHEL6 clusters.

* Wed May 12 2010 Chris Feist <cfeist@redhat.com> - 0.22.0-11
- Add support for PAM authentication
- Resync with main branch
- Resolves: rhbz#518206

* Wed May 12 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.21.0-8
- Do not build on ppc and ppc64.
  Resolves: rhbz#590987

* Tue Apr 27 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.0-4
- Update from devel tree.

* Thu Apr 22 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.0-3
- Update from development tree.

* Thu Apr 08 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.0-2
- Update from development tree.

* Tue Mar 09 2010 Ryan McCabe <rmccabe@redhat.com> - 0.22.0-1
- Rebase to luci version 0.22.0

* Mon Mar  1 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.21.0-7
- Resolves: rhbz#568005
- Add ExcludeArch to drop s390 and s390x

* Tue Jan 19 2010 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-6
- Remove dependency on python-tg-devtools

* Wed Nov 04 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-4
- And again.

* Wed Nov 04 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-2
- Fix missing build dep.

* Tue Nov 03 2009 Ryan McCabe <rmccabe@redhat.com> - 0.21.0-1
- Add init script.
- Run as the luci user, not root.
- Turn off debugging.

* Fri Sep 25 2009 Ryan McCabe <rmccabe@redhat.com> - 0.20.0-1
- Initial build.
